function [ape,freq]=acousticpotentialenergy(m,lcindex)
% calculates acoustic potential energy

% parse out lcindex
if ischar(lcindex)
    names={};
    for ii=1:length(m.lc)
        names{ii}=m.lc{ii}.name;
    end
    [true,lcindex]=ismember(lcindex,names);
    if ~true
        error('load case name not in set');
    end
elseif lcindex<1 | lcindex>length(m.lc)
    error('load case index incorrect')
end

freq=m.lc{lcindex}.freq;
ape=1/(4*m.c.dens*m.c.c^2)*m.c.mv*abs((m.lc{lcindex}.cp).^2);
