function [ske,freq]=structuralkineticenergy(m,lcindex)
% calculates structural kinetic energy

% parse out lcindex
if ischar(lcindex)
    names={};
    for ii=1:length(m.lc)
        names{ii}=m.lc{ii}.name;
    end
    [true,lcindex]=ismember(lcindex,names);
    if ~true
        error('load case name not in set');
    end
elseif lcindex<1 | lcindex>length(m.lc)
    error('load case index incorrect')
end

freq=m.lc{lcindex}.freq;
ske=((2*pi*freq).^2/2).*(m.s.mm*abs((m.lc{lcindex}.sp).^2));
